{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "Dash_layout.html" %}
{% block content %}   
<div class="page-wrapper">
    <div class="container-fluid">


            <h1>Api Setting </h1>
            <p>Please insert all the api urls to success connection between systems .</p><br>

            <center>
                {% if error %}
                <p class=error><strong>Error:</strong> {{ error }}
                {% endif %}
                <br>
                {% with messages = get_flashed_messages(with_categories=true) %}
                {% if messages %}
                <div class="alert alert-{{ messages.0.0 }}" role="alert">
                {% for category, message in messages %}
                {{ message }} </br>
                {% endfor %}
                *</div>
                {% endif %}
                {% endwith %}
                </center>
                <br>

                <div class="container">
                    <div class="card">
                        <div class="card-body">
                            <form class="form-horizontal form-material" method="POST">
                                {{ form.csrf_token }}
                                <div class="form-group">
                                 
                                    <div class="col-md-12">
                                        {{ wtf.quick_form(form) }}
                                    </div>
                                 
                                </div>

                            </form>
                        </div>
                    </div>
                </div>
                

    </div>
</div>


    {% endblock content %}